Déjà Dup shows only inactive buttons

Bug #1792359 reported by Peter Ehrt on 2018-09-13
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Déjà Dup
Undecided
Unassigned

Bug Description

Ubuntu 18.04.1 LTS
deja-dup 37.1-2fakesync1
duplicity 0.7.17-0ubuntu1
/tmp/deja-dup.gsettings:

org.gnome.DejaDup last-restore '2018-01-08T19:20:03.640672Z'
org.gnome.DejaDup periodic true
org.gnome.DejaDup periodic-period 7
org.gnome.DejaDup full-backup-period 90
org.gnome.DejaDup backend 'drive'
org.gnome.DejaDup last-run '2018-09-06T01:45:46.594528Z'
org.gnome.DejaDup nag-check '2018-07-18T19:18:00.994511Z'
org.gnome.DejaDup prompt-check '2017-04-19T18:28:59.399174Z'
org.gnome.DejaDup root-prompt true
org.gnome.DejaDup include-list ['/home/peter', '/media/peter/Daten/Peter', '/etc', '/var/lib/apt']
org.gnome.DejaDup exclude-list ['$TRASH', '$DOWNLOAD', '/media/peter/Daten/Peter/Temp', '/home/peter/XXX.wine']
org.gnome.DejaDup last-backup '2018-09-06T01:45:46.594528Z'
org.gnome.DejaDup allow-metered false
org.gnome.DejaDup delete-after 0
org.gnome.DejaDup.Rackspace username ''
org.gnome.DejaDup.Rackspace container 'Vista-Ubuntu'
org.gnome.DejaDup.S3 id ''
org.gnome.DejaDup.S3 bucket ''
org.gnome.DejaDup.S3 folder 'Vista-Ubuntu'
org.gnome.DejaDup.OpenStack authurl ''
org.gnome.DejaDup.OpenStack tenant ''
org.gnome.DejaDup.OpenStack username ''
org.gnome.DejaDup.OpenStack container 'Vista-Ubuntu'
org.gnome.DejaDup.GCS id ''
org.gnome.DejaDup.GCS bucket ''
org.gnome.DejaDup.GCS folder 'Vista-Ubuntu'
org.gnome.DejaDup.Local folder 'Vista-Ubuntu'
org.gnome.DejaDup.Remote uri ''
org.gnome.DejaDup.Remote folder 'Vista-Ubuntu'
org.gnome.DejaDup.Drive uuid '76307393307358D7'
org.gnome.DejaDup.Drive icon '. GThemedIcon drive-harddisk-usb drive-harddisk drive'
org.gnome.DejaDup.Drive folder 'Ubuntu_Datensicherung_2017'
org.gnome.DejaDup.Drive name 'Sicherung_2T'
org.gnome.DejaDup.GOA id ''
org.gnome.DejaDup.GOA folder 'Vista-Ubuntu'
org.gnome.DejaDup.GOA type ''
org.gnome.DejaDup.File short-name 'Sicherung_2T'
org.gnome.DejaDup.File type 'volume'
org.gnome.DejaDup.File migrated true
org.gnome.DejaDup.File name 'WD Elements 25A2: Sicherung_2T'
org.gnome.DejaDup.File path 'file:///media/peter/Sicherung_2T/Ubuntu_1604_Datensicherung'
org.gnome.DejaDup.File uuid '76307393307358D7'
org.gnome.DejaDup.File icon '. GThemedIcon drive-harddisk-usb drive-harddisk drive'
org.gnome.DejaDup.File relpath b'Ubuntu_Datensicherung_2017'

DE/tmp/deja-dup.log: kein Inhalt

Peter Ehrt (peeh) wrote :
Michael Terry (mterry) wrote :

I believe the following patch in master should fix this, by raising the progress window (if it exists) when opening deja-dup and also trying to kill any duplicity child process when deja-dup is closed unexpectedly. Together, this should hopefully prevent this situation.

https://git.launchpad.net/deja-dup/commit/?id=4f705fec674b374d1dbf6669b935883515387fa6

Changed in deja-dup:
status: New → Fix Committed

Thank you. Solution sounds good. Peter

Am 07.01.19 um 04:03 schrieb Michael Terry:
> I believe the following patch in master should fix this, by raising the
> progress window (if it exists) when opening deja-dup and also trying to
> kill any duplicity child process when deja-dup is closed unexpectedly.
> Together, this should hopefully prevent this situation.
>
> https://git.launchpad.net/deja-
> dup/commit/?id=4f705fec674b374d1dbf6669b935883515387fa6
>
> ** Changed in: deja-dup
> Status: New => Fix Committed
>

Michael Terry (mterry) on 2019-01-17
Changed in deja-dup:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments